ciniparser.h File Reference
Ciniparser | Internal API

### (dad0c0a 2015-02-09 13:36:06 +0100)

Parser for ini files. More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include "dictionary.h"`

Go to the source code of this file.

## Macros

#define | ciniparser_getstr(d, k) ciniparser_getstring(d, k, NULL)
#define | ciniparser_setstr ciniparser_setstring

## Functions

int | ciniparser_getnsec (dictionary *d)
| Get number of sections in a dictionary. More...
const char * | ciniparser_getsecname (dictionary *d, int n)
| Get name for section n in a dictionary. More...
void | ciniparser_dump_ini (dictionary *d, FILE *f)
| Save a dictionary to a loadable ini file. More...
void | ciniparser_dump (dictionary *d, FILE *f)
| Dump a dictionary to an opened file pointer. More...
const char * | ciniparser_getstring (dictionary *d, const char *key, char *def)
| Get the string associated to a key. More...
int | ciniparser_getint (dictionary *d, const char *key, int notfound)
| Get the string associated to a key, convert to an int. More...
double | ciniparser_getdouble (dictionary *d, const char *key, double notfound)
| Get the string associated to a key, convert to a double. More...
int | ciniparser_getboolean (dictionary *d, const char *key, int notfound)
| Get the string associated to a key, convert to a boolean. More...
int | ciniparser_setstring (dictionary *ini, char const *entry, const char *val)
| Set an entry in a dictionary. More...
void | ciniparser_unset (dictionary *ini, char *entry)
| Delete an entry in a dictionary. More...
int | ciniparser_find_entry (dictionary *ini, const char *entry)
| Finds out if a given entry exists in a dictionary. More...
dictionary * | ciniparser_load (const char *ininame)
| Parse an ini file and return an allocated dictionary object. More...
void | ciniparser_freedict (dictionary *d)
| Free all memory associated to an ini dictionary. More...
int | ciniparser_set (dictionary *d, const char *entry, const char *val)
| Set an item in the dictionary. More...

## Detailed Description

Parser for ini files.

Author
  N. Devillard

Date
  Sep 2007

Version
  3.0

Definition in file ciniparser.h.